package com.hw.wms.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.hw.common.core.annotation.Excel;
import com.hw.common.core.web.domain.BaseEntity;

/**
 * 仓库类别对象 wms_base_category
 * 
 * @author xs
 * @date 2023-12-20
 */
public class WmsBaseCategory extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 仓库类别ID */
    private Long categoryId;

    /** 仓库类别名称 */
    @Excel(name = "仓库类别名称")
    private String categoryName;

    /** 虚拟标识(0否,1是) */
    @Excel(name = "虚拟标识(0否,1是)")
    private String virtualFlag;

    public void setCategoryId(Long categoryId) 
    {
        this.categoryId = categoryId;
    }

    public Long getCategoryId() 
    {
        return categoryId;
    }
    public void setCategoryName(String categoryName) 
    {
        this.categoryName = categoryName;
    }

    public String getCategoryName() 
    {
        return categoryName;
    }
    public void setVirtualFlag(String virtualFlag) 
    {
        this.virtualFlag = virtualFlag;
    }

    public String getVirtualFlag() 
    {
        return virtualFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("categoryId", getCategoryId())
            .append("categoryName", getCategoryName())
            .append("virtualFlag", getVirtualFlag())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
